
.topbar-sec {
    width: 100%;
    overflow: hidden;
    background: #D9D9D9;
    color: #616161;
    white-space: nowrap;
    position: relative;
     transition: color 0.3s ease;
}
.topbar-sec .marquee {
  display: flex;
  width: max-content;
  animation: marquee 40s linear infinite;
}
.topbar-sec .marquee span {
    font-size: 22px;
    margin: 0 20px;
    padding-right: 0;
     color: #616161;
}
.topbar-sec .marquee p {
    margin: 0;
    font-size: 15px;
    font-family: var(--secondary-font);
    display: flex
;
    align-items: center;
    justify-content: center;
    letter-spacing: 3px;
}

@keyframes marquee {
  from { transform: translateX(0); }
  to   { transform: translateX(-50%); }
}


#primary-menu a {
  position: relative;
  z-index: 1;
  transition: color 0.3s ease;
}


.site-branding img {
    width: 100%;
    max-width: 200px;
}
.site-branding a {
outline:none;
}
#primary-menu {
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: end;
}

#primary-menu li {
    list-style: none;
    display: inline-block;
    position: relative;
}

#primary-menu li:not(:last-child)::after {
    content: "";
    position: absolute;
    right: 0;
    top: 51%;
    transform: translateY(-50%);
    height: 20px;
    width: 2px;
    background-color: #e57373;
}

#primary-menu a {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 30px 35px;
    color: #000;
    text-decoration: none;
    font-family: var(--secondary-font);
    text-transform: uppercase;
    font-size: 16px;
    letter-spacing: 1px;
    outline: none;
}
/* Active menu item underline */
#primary-menu li.current-menu-item a::after {
    content: "";
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    width: 50%;
    height: 1px;
    background-color: var(--primary-color);
        top: 55px;
}
#primary-menu li:hover a {
    color: var(--primary-color);
}

.mobile-menu-toggle {
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 30px;
  height: 25px;
  background: none;
  border: none;
  cursor: pointer;
  z-index: 1002;
  margin-left: auto; 
}
.mobile-menu-toggle .bar {
  width: 100%;
  height: 3px;
  background-color: #000; 
  margin: 3px 0;
  display: block;
  transition: all 0.3s ease;
}
.header-sec {
  position: sticky;
  top: 0;
  z-index: 1000;
  background: #fff;
  transition: all 0.3s ease;
}
.mobile-menu-close {
    display: none;
    position: absolute;
    right: 20px;
    font-size: 25px;
    background: none;
    border: none;
    color: #000;
    z-index: 9999;
    cursor: pointer;
    transition:opacity 0.9s ease;
    padding: 0 !important;
    top:20px;
}
/* Responsive styles */
 @media (max-width: 992px) {
 #primary-menu li:not(:last-child)::after {

    background-color: transparent;
}
.main-menu.active .mobile-menu-close {
    display: block;
}
#primary-menu li.current-menu-item a::after {
    height: 0px;
}
.main-menu {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 80%;
}
.mobile-menu-toggle span i {
    font-size: 25px;
}
    .mobile-menu-toggle {
        display: flex
;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 30px;
        height: 25px;
        background: none;
        border: none;
        cursor: pointer;
        z-index: 99;
        margin-right: 20px;
        position: relative;
        top: 0px;
    }
#primary-menu {
    position: fixed;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: #fff;
    flex-direction: column;
    align-items: flex-start;
    justify-content: start;
    padding-top: 60px;
    transition: left 0.3s ease;
    z-index: 1001;
}
.main-menu.active #primary-menu {
   left: 0;
}
#primary-menu li {
    width: 100%;
    border-right: none;
}
#primary-menu li a {
    width: 100%;
    padding: 15px 20px;
    border-bottom: 1px solid #E62D43;
    border-left: none !important;
}
#primary-menu a {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    border-right: none;
    font-size: 15px;
}
}